Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 07/13/2021 in all areas

  1. Hi everyone, I am out of the AutoCAD game now so I have no need for these books. The six books shown I am wanting to pass on to someone. I would prefer all go to one address and you will have to pay postage, which could be substantial. Send inquiries to richrdkent@gmail.com. Look closely at the email address, there is no A in there.
    1 point
  2. (defun c:MoveXY (/ ss i e xnew ynew) (vl-load-com) (if (setq ss (ssget "_:L" '((0 . "INSERT") (66 . 1)))) (repeat (setq i (sslength ss)) (setq e (vlax-ename->vla-object (ssname ss (setq i (1- i))))) (cond (and (setq xnew (assoc "X" (mapcar '(lambda (j) (list (vla-get-tagstring j) (distof (vla-get-textstring j)))) (vlax-invoke e 'Getattributes) ) ) ) (setq ynew (assoc "Y" (mapcar '(lambda (j) (list (vla-get-tagstring j) (distof (vla-get-textstring j)))) (vlax-invoke e 'Getattributes) ) ) ) (if (and (cadr xnew) (cadr ynew)) (vla-put-insertionpoint e (vlax-3d-point (list (cadr xnew) (cadr ynew)))) ) ) ) ) ) (princ) ) I have inserted the condition that the block only moves if the x and y coordinates exist. (if (and (cadr xnew) (cadr ynew)) (vla-put-insertionpoint e (vlax-3d-point (list (cadr xnew) (cadr ynew)))) )
    1 point
  3. (defun c:MoveXY (/ ss i e xnew ynew r e) (vl-load-com) (if (setq ss (ssget "_:L" '((0 . "INSERT") (66 . 1)))) (repeat (setq i (sslength ss)) (setq e (vlax-ename->vla-object (ssname ss (setq i (1- i))))) (cond (and (setq xnew (assoc "X" (mapcar '(lambda (j) (list (vla-get-tagstring j) (distof (vla-get-textstring j)))) (vlax-invoke e 'Getattributes) ) ) ) (setq ynew (assoc "Y" (mapcar '(lambda (j) (list (vla-get-tagstring j) (distof (vla-get-textstring j)))) (vlax-invoke e 'Getattributes) ) ) ) (vla-put-insertionpoint e (vlax-3d-point (list (cadr xnew) (cadr ynew)))) ) ) ) ) (princ) ) That should do it. You should just replace the two tagstrings "X" and "Y", since I don't know what your tags are for these two attributes.
    1 point
  4. Before we all jump in and frantically do code have you googled "rebar autocad table" I would expect its already been done, also "sum text to table" words like that. Also reobar. PBE and Kent Cooper come to mind who may have answered this.
    1 point
  5. Definitely look into them. They are a great way to organize data.
    1 point
  6. I just rotate the viewport. SEE THIS Maybe you are trying to recall MVSETUP? SEE THIS
    1 point
×
×
  • Create New...